clear;
th=thermo('H2');
T0=24.45;
[ps,vl,vv]=th.saturation(T0);
th.Tvcalc(T0,vl);
s0=th.s;
h0=th.h;
p1=10.7e5;

th.pscalc(p1,s0);
h1=th.h;
r1=2/th.v;
v1=th.v;


vf=6;
Dd=2;

dp=0.5*r1*(vf*Dd^2)^2;
p2=1e5;

th.pscalc(p2,s0);
v2=th.v;
p3=p1-0.3*dp;
th.phcalc(p3,h1);
v3=th.v;


Ts=[22:0.1:26];
for i=1:length(Ts);
    [pS(i),vl(i),vv(i)]=th.saturation(Ts(i));
end
th.phcalc(p2,h1);
v4=th.v;

semilogx([v1 v4],[p1 p2],vl,pS);
xlabel('Specific volume [m^3/mol]');
ylabel('Pressure [Pa]');
legend('Constant enthalpy (friction)','Saturated liquid');

[pS,vl,vv]=th.saturation(20.3);